<mat-toolbar class="header" color="primary">
  <h1 routerLink="/">{{title | titlecase}}</h1>
  <mat-icon (click)="toggleNav()">
    menu
  </mat-icon>
  <ul class="nav-links" color="primary" [class.navActivated]="showNav">
    <li *ngFor="let route of routes">
      <a [routerLink]="'/' + route.path" (click)="toggleNav()">{{route.path}}</a>
    </li>
  </ul>
</mat-toolbar>
<main>
  <router-outlet></router-outlet>
</main>
<mat-toolbar color="accent">
  <span>Footer</span>
</mat-toolbar>
